/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jreqtools.gadgets;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class XIcon implements Icon {
	private static final int SIZE = 12;
	
	public int getIconHeight()  {
		return SIZE;
	}

	public int getIconWidth()  {
		return SIZE;
	}

	public void paintIcon(java.awt.Component c, java.awt.Graphics g, int x, int y)  {
		g.translate(x,y);
		
		g.setColor(Color.black);
		g.drawLine(0,0,SIZE,SIZE);
		g.drawLine(SIZE,0,0,SIZE);
		g.drawRect(0,0,SIZE,SIZE);
		
		g.translate(-x,-y);
	}

}
