/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jreqtools.gadgets;

import java.awt.*;
import javax.swing.*;

public class Line extends JComponent {
	
	public Dimension getMaximumSize()  {
		return new Dimension(Short.MAX_VALUE, 2);
	}

	public Dimension getMinimumSize()  {
		return new Dimension(50,2);
	}

	public Dimension getPreferredSize()  {
		return new Dimension(250,2);
	}

	public void paint(Graphics g)  {
		Dimension d = getSize();
		
		g.setColor(Color.black);
		g.drawLine(0,0,d.width-1,0);
		
		g.setColor(Color.white);
		g.drawLine(0,1,d.width-1,1);
	}

}
