/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jreqtools.gadgets;

import javax.swing.*;

public class SelectArrowIcon implements Icon {
	
	public int getIconHeight()  {
		return 13;
		
	}

	public int getIconWidth()  {
		return 13;
	}

	public void paintIcon(java.awt.Component parent, java.awt.Graphics g, int x, int y)  {
		int w = 13;
		
		if (w % 2 == 0) w--;
		g.setColor(java.awt.Color.black);
		g.fillPolygon(new int [] { x + (w-1)/2, x+1, x+w-1 }, new int [] { y+2, y+w-6, y+w-6 }, 3);
		g.fillRect(x+2, y+w-4, w-4, 2);
	}

}
